/*
 * #%L
 * OME-FILES-VIEW C++ library for display of OME-Files pixel data and metadata.
 * %%
 * Copyright © 2006 - 2015 Open Microscopy Environment:
 *   - Massachusetts Institute of Technology
 *   - National Institutes of Health
 *   - University of Dundee
 *   - Board of Regents of the University of Wisconsin-Madison
 *   - Glencoe Software, Inc.
 * %%
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of any organization.
 * #L%
 */

#ifndef OME_FILES_VIEW_CONFIG_INTERNAL_H
#define OME_FILES_VIEW_CONFIG_INTERNAL_H

#define OME_FILES_VIEW_INSTALL_PREFIX "@OME_FILES_VIEW_INSTALL_PREFIX@"

#define OME_FILES_VIEW_INSTALL_BINDIR "@CMAKE_INSTALL_BINDIR@"
#define OME_FILES_VIEW_INSTALL_SBINDIR "@CMAKE_INSTALL_SBINDIR@"
#define OME_FILES_VIEW_INSTALL_LIBEXECDIR "@CMAKE_INSTALL_LIBEXECDIR@"
#define OME_FILES_VIEW_INSTALL_SYSCONFDIR "@CMAKE_INSTALL_SYSCONFDIR@"
#define OME_FILES_VIEW_INSTALL_SHAREDSTATEDIR "@CMAKE_INSTALL_SHAREDSTATEDIR@"
#define OME_FILES_VIEW_INSTALL_LOCALSTATEDIR "@CMAKE_INSTALL_LOCALSTATEDIR@"
#define OME_FILES_VIEW_INSTALL_LIBDIR "@CMAKE_INSTALL_LIBDIR@"
#define OME_FILES_VIEW_INSTALL_INCLUDEDIR "@CMAKE_INSTALL_INCLUDEDIR@"
#define OME_FILES_VIEW_INSTALL_OLDINCLUDEDIR "@CMAKE_INSTALL_OLDINCLUDEDIR@"
#define OME_FILES_VIEW_INSTALL_DATAROOTDIR "@CMAKE_INSTALL_DATAROOTDIR@"
#define OME_FILES_VIEW_INSTALL_DATADIR "@CMAKE_INSTALL_DATADIR@"
#define OME_FILES_VIEW_INSTALL_INFODIR "@CMAKE_INSTALL_INFODIR@"
#define OME_FILES_VIEW_INSTALL_LOCALEDIR "@CMAKE_INSTALL_LOCALEDIR@"
#define OME_FILES_VIEW_INSTALL_MANDIR "@CMAKE_INSTALL_MANDIR@"
#define OME_FILES_VIEW_INSTALL_DOCDIR "@CMAKE_INSTALL_DOCDIR@"

#define OME_FILES_VIEW_INSTALL_FULL_BINDIR "@CMAKE_INSTALL_FULL_BINDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_SBINDIR "@CMAKE_INSTALL_FULL_SBINDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_LIBEXECDIR "@CMAKE_INSTALL_FULL_LIBEXECDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_SYSCONFDIR "@CMAKE_INSTALL_FULL_SYSCONFDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_SHAREDSTATEDIR "@CMAKE_INSTALL_FULL_SHAREDSTATEDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_LOCALSTATEDIR "@CMAKE_INSTALL_FULL_LOCALSTATEDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_LIBDIR "@CMAKE_INSTALL_FULL_LIBDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_INCLUDEDIR "@CMAKE_INSTALL_FULL_INCLUDEDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_OLDINCLUDEDIR "@CMAKE_INSTALL_FULL_OLDINCLUDEDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_DATAROOTDIR "@CMAKE_INSTALL_FULL_DATAROOTDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_DATADIR "@CMAKE_INSTALL_FULL_DATADIR@"
#define OME_FILES_VIEW_INSTALL_FULL_INFODIR "@CMAKE_INSTALL_FULL_INFODIR@"
#define OME_FILES_VIEW_INSTALL_FULL_LOCALEDIR "@CMAKE_INSTALL_FULL_LOCALEDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_MANDIR "@CMAKE_INSTALL_FULL_MANDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_DOCDIR "@CMAKE_INSTALL_FULL_DOCDIR@"

#ifdef _MSC_VER
#  define OME_FILES_VIEW_SHLIBDIR OME_FILES_VIEW_INSTALL_BINDIR
#else
#  define OME_FILES_VIEW_SHLIBDIR OME_FILES_VIEW_INSTALL_LIBDIR
#endif

#define OME_FILES_VIEW_INSTALL_PKGDATADIR "@OME_FILES_VIEW_INSTALL_DATADIR@"
#define OME_FILES_VIEW_INSTALL_FULL_PKGDATADIR "@OME_FILES_VIEW_INSTALL_FULL_DATADIR@"

#define OME_FILES_VIEW_INSTALL_ICONDIR "@OME_FILES_VIEW_INSTALL_ICONDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_ICONDIR "@OME_FILES_VIEW_INSTALL_FULL_ICONDIR@"

#define OME_FILES_VIEW_INSTALL_PKGLIBEXECDIR "@OME_FILES_VIEW_INSTALL_PKGLIBEXECDIR@"
#define OME_FILES_VIEW_INSTALL_FULL_PKGLIBEXECDIR "@OME_FILES_VIEW_INSTALL_FULL_PKGLIBEXECDIR@"

#cmakedefine OME_HAVE_CSTDARG 1

#endif // OME_FILES_VIEW_CONFIG_INTERNAL_H
